/// \file
/// \author Matthew Allen (fret@memecode.com)
/// \brief A colour selector control

#ifndef __GCOLOUR_H
#define __GCOLOUR_H

#include "GPopup.h"

class GColour :
	public GDropDown,
	public ResObject
{
	friend class GColourPopup;

	COLOUR c;
	int Items;
	COLOUR *List;

public:
	GColour(COLOUR *list = 0, int items = 0);
	~GColour();

	// Methods
	void SetColourList(COLOUR *list, int items);

	// GView
	int64 Value();
	void Value(int64 i);
	void OnPaint(GSurface *pDC);
};

#endif
