#ifndef _OPTION_FILE_H_
#define _OPTION_FILE_H_

#include "GVariant.h"
#include "GXmlTree.h"

class LgiClass GOptionsFile : public GXmlTag, public GSemaphore
{
	char *File;
	bool Dirty;

	bool _OnAccess(bool Start);

protected:
	virtual void _Defaults() {}

public:
	GOptionsFile(char *BaseName = 0);
	~GOptionsFile();

	bool IsValid();
	char *GetFile() { return File; }
	void SetFile(char *f);
	bool Serialize(bool Write);
	bool DeleteValue(char *Name);

	bool CreateTag(char *Name);
	bool DeleteTag(char *Name);
	GXmlTag *LockTag(char *Name);
};

#endif