#ifndef __GSEMAPHORE_H
#define __GSEMAPHORE_H

// Resource Locking Class
class LgiClass GSemaphore
{
	OsThreadId _Thread;
	OsSemaphore _Sem;
	bool _Lock();
	void _Unlock();
	char *_Name;

protected:
	int _Count;

public:
	GSemaphore(char *name = 0);
	virtual ~GSemaphore();

	bool Lock();
	bool LockWithTimeout(int Timeout /* in ms */);
	void Unlock();

	char *GetName();
	void SetName(char *s);
	
	#ifdef _DEBUG
	int GetCount() { return _Count; }
	#endif
};

#endif
