; i.Ftp install/uninstall support

!system "mkdir iftp-setup"
!system "del .\iftp-setup\*.*"

!system "copy ..\Lgi\Release\Lgi.dll iftp-setup"
!system "copy ..\Lgi\Gel\Release\LgiSkin.dll iftp-setup"
!system "copy .\Release\iftp.exe iftp-setup"
!system "copy .\libssh\Release\libssh.dll iftp-setup\libssh.dll"
!system 'copy "C:\Program Files\Subversion\bin\libeay32.dll" iftp-setup'

!system '"c:\Program Files\Upx\upx.exe" -9 .\iftp-setup\*.exe'
!system '"c:\Program Files\Upx\upx.exe" -9 .\iftp-setup\*.dll'

;--------------------------------
SetCompressor lzma

; The name of the installer
Name "Memecode i.Ftp"

; The file to write
OutFile "iftp-win32.exe"

; The default installation directory
InstallDir $PROGRAMFILES\i.Ftp

;--------------------------------

; Pages

Page directory
Page components
Page instfiles

;--------------------------------

; The stuff to install
Section ""

  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; Program files
  File .\iftp-setup\iftp.exe
  File .\iftp-setup\Lgi.dll
  File .\iftp-setup\LgiSkin.dll
  ;File .\iftp-setup\libssh.dll
  ;File .\iftp-setup\libeay32.dll

  ; Resources
  File .\Code\iftp.lr8
  File .\Code\_pane.gif
  File .\Code\_icons.gif
  File .\Code\_about.gif
  File .\Code\_commands.gif

  ; Help files
  SetOutPath $INSTDIR\Help
  File .\Help\*.css
  File .\Help\*.html

  ; Uninstaller
  WriteUninstaller $INSTDIR\uninstall.exe
  
SectionEnd ; end the section

Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\i.Ftp"
  CreateShortCut "$SMPROGRAMS\i.Ftp\i.Ftp.lnk" "$INSTDIR\iftp.exe" "" "$INSTDIR\iftp.exe" 0
  CreateShortCut "$SMPROGRAMS\i.Ftp\Help.lnk" "$INSTDIR\Help\index.html" "" "$WINDIR\WINHLP32.EXE" 1
  CreateShortCut "$SMPROGRAMS\i.Ftp\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Run i.Ftp"

  ExecShell "open" "$INSTDIR\iftp.exe"
  SetAutoClose true
  
SectionEnd

UninstPage components
UninstPage instfiles

Section "un.Program and Start Menu Items"

  Delete $INSTDIR\Help\*.*
  RMDir /r $INSTDIR\Help
  Delete $INSTDIR\*.*
  RMDir /r $INSTDIR
  Delete $SMPROGRAMS\i.Ftp\*.*
  RMDir /r $SMPROGRAMS\i.Ftp

  SetAutoClose true

SectionEnd

; Clean up temp files
!system "del /Q .\iftp-setup\*.*"
!system "rmdir iftp-setup"
