

#ifndef __GINPUT_H
#define __GINPUT_H

/// This class displays a window with a message and an edit box to enter a string.
/// Once constructed, use the GDialog::DoModal() call to run the input window, it
/// returns TRUE if 'Ok' is clicked.
class LgiClass GInput : public GDialog
{
	GEdit *Edit;

public:
	char *Str;

	/// Constructs the dialog.
	GInput
	(
		/// The parent view
		GViewI *parent,
		/// The initial value in the edit box
		char *InitStr = "",
		/// The message to display in the text box
		char *Msg = "Enter String",
		/// The title of the window
		char *Title = "Input",
		/// True if you want the edit box characters hashed out for a password
		bool Password = false
	);
	~GInput();
	
	int OnNotify(GViewI *Ctrl, int Flags);
};

#endif
