#ifndef __TOKEN_H
#define __TOKEN_H

LgiFunc bool IsNumber(char *p);
LgiFunc char *Skip(char *p, char *Delimiter = " \r\n\t");

class LgiClass GToken
{
	char *Raw;
	int Items;
	char **Item;

public:
	GToken();
	GToken(char *Str, char *Delimiters = " \r\n\t,", bool GroupDelim = true, int Length = -1);
	~GToken();

	void Parse(char *Str, char *Delimiters = " \r\n\t,", bool GroupDelim = true, int Length = -1);
	void Empty();
	void AppendTokens(GToken *T);

	int Length() { return Items; }
	char *operator [](int i)
	{
		return (i >= 0 AND i<Items AND Item) ? Item[i] : 0;
	}
};

#endif
