#ifndef _BFS_H_
#define _BFS_H_

class Bfs;

extern Bfs *BfsCreate(char *FileName);
extern void BfsDestroy(Bfs *b);

extern int BfsOpenFile(Bfs *b, char *FileName, int Mode);
extern void BfsCloseFile(Bfs *b, int File);
extern int BfsReadFile(Bfs *b, int File, void *Ptr, int Size);
extern int BfsWriteFile(Bfs *b, int File, void *Ptr, int Size);
extern int64 BfsGetFileSize(Bfs *b, int File);
extern int BfsSetFileSize(Bfs *b, int File, int64 Size);
extern int64 BfsGetFilePos(Bfs *b, int File);
extern int BfsSetFilePos(Bfs *b, int File, int64 Pos);

#endif

