/*
**	FILE:			FtpMain.cpp
**	AUTHOR:			Matthew Allen
**	DATE:			7/9/99
**	DESCRIPTION:	i.Ftp entry point
**
**	Copyright (C) 1999, Matthew Allen
**		fret@memecode.com
*/

#include "Ftp.h"
#include "IHttp.h"

class Wnd : public GWindow
{
public:
	Wnd()
	{
		if (Attach(0))
		{
			GRect r(100, 100, 500, 400);
			SetPos(r);
			SetQuitOnClose(true);
			Name("Test 3");

			Visible(true);
		}
	}
};

int LgiMain(OsAppArguments &AppArgs)
{
	printf("i.Ftp v%.2f\n", VER);

	GApp a("application/x-i.Ftp", AppArgs);
	if (a.IsOk())
	{
		#if 0
		char s[256];
		#define TestPath(Path) \
			if (LgiGetSystemPath(Path, s, sizeof(s))) printf("Path " #Path " = '%s'\n", s); \
			else printf("Path " #Path " failed.\n");
		TestPath(LSP_OS);
		TestPath(LSP_OS_LIB);
		TestPath(LSP_TEMP);
		TestPath(LSP_APP_DATA);
		TestPath(LSP_LOCAL_APP_DATA);
		TestPath(LSP_DESKTOP);
		TestPath(LSP_HOME);
		TestPath(LSP_EXE);
		TestPath(LSP_TRASH);
		#endif

		NEW(AppWnd);
		
		a.Run();
	}

	return 0;
}

